Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024377
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-18 18:482013-08-07 11:48
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisiona4693cec5843
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024377: Problem with discount and total gross amounts

DescriptionProblem with discount and total gross amounts
Steps To Reproduce-configure one product with 0.75 as price

-go to web POS

-add 2 times the same product and apply 10% of discount

-The total gross amount should be 1.36 instead of 1.35
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060124)
hgbot (developer)
2013-07-19 10:57

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 10:57:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d [^]

Fixed issue 24377. Fixed discretionary percentage discounts.

---
M web/org.openbravo.retail.discounts/js/promotion-manual.js
---
(0060125)
hgbot (developer)
2013-07-19 10:58

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9be5f0068ecd28d967204c5fae3eabb3594d8e54
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 10:58:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^]

Fixed issue 24377. Fixed normal percentage discounts.

---
M web/org.openbravo.retail.posterminal/js/model/discounts.js
---
(0060222)
guilleaer (developer)
2013-07-24 09:36

verified
(0060252)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 9be5f0068ecd28d967204c5fae3eabb3594d8e54
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 10:58:11 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^]

Fixed issue 24377. Fixed normal percentage discounts.

---
M web/org.openbravo.retail.posterminal/js/model/discounts.js
---
(0060519)
hgbot (developer)
2013-08-07 08:53

Repository: erp/pmods/org.openbravo.retail.discounts-col
Changeset: a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri Jul 19 10:57:38 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts-col/rev/a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d [^]

Fixed issue 24377. Fixed discretionary percentage discounts.

---
M web/org.openbravo.retail.discounts/js/promotion-manual.js
---
(0060524)
guilleaer (developer)
2013-08-07 11:48

reclosing

- Issue History
Date Modified Username Field Change
2013-07-18 18:48 jecharri New Issue
2013-07-18 18:48 jecharri Assigned To => marvintm
2013-07-19 10:57 hgbot Checkin
2013-07-19 10:57 hgbot Note Added: 0060124
2013-07-19 10:57 hgbot Status new => resolved
2013-07-19 10:57 hgbot Resolution open => fixed
2013-07-19 10:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d [^]
2013-07-19 10:58 hgbot Checkin
2013-07-19 10:58 hgbot Note Added: 0060125
2013-07-19 10:58 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^]
2013-07-24 09:36 guilleaer Review Assigned To => guilleaer
2013-07-24 09:36 guilleaer Note Added: 0060222
2013-07-24 09:36 guilleaer Status resolved => closed
2013-07-24 09:36 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060252
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^]
2013-07-24 17:18 marvintm Status resolved => closed
2013-08-07 08:53 hgbot Checkin
2013-08-07 08:53 hgbot Note Added: 0060519
2013-08-07 08:53 hgbot Status closed => resolved
2013-08-07 08:53 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/9be5f0068ecd28d967204c5fae3eabb3594d8e54 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts-col/rev/a4693cec58435bc3bc7f194aeaf6cf4b1bbc982d [^]
2013-08-07 11:48 guilleaer Note Added: 0060524
2013-08-07 11:48 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker